using Microsoft.AspNetCore.Mvc;
using Microsoft.AspNetCore.Mvc.RazorPages;
using PizzaShopDAL.Data;
using PizzaShopDAL.Models;
using PizzaShopFE.Model;

namespace PizzaShopFE.Pages.Forms
{
    public class AddIngredientModel : PageModel
    {
        [BindProperty]
        public IngredientModel Ingredient { get; set; }

        public void OnGet()
        {
        }

        public IActionResult OnPost()
        {
            if (!ModelState.IsValid)
                return Page();

            using (var context = new PizzaShopDBContext())
            {
                if (!context.Ingredient.Where(a => a.Name == Ingredient.Name).Any())
                {
                    context.Ingredient.Add(new Ingredient { Name = Ingredient.Name });
                    context.SaveChanges();
                }
            }

            return RedirectToPage("../Index");
        }
    }
}
